org.jetlang.remote.core

## Interface JetlangRemotingProtocol.Handler

All Known Subinterfaces:
  JetlangMessageHandler

All Known Implementing Classes:
  JetlangNioSession, JetlangStreamSession

Enclosing class:
  JetlangRemotingProtocol

    public static interface JetlangRemotingProtocol.Handler

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onHb()`
`void` `onLogout()`
`void` `onMessage(String dataTopicVal, Object readObject)`
`void` `onRequest(int reqId, String dataTopicVal, Object readObject)`
`void` `onRequestReply(int reqId, String dataTopicVal, Object readObject)`
`void` `onSubscriptionRequest(String val)`
`void` `onUnknownMessage(int read)`
`void` `onUnsubscribeRequest(String val)`

### Method Detail

#### onMessage

    void onMessage(String dataTopicVal,
                   Object readObject)

#### onSubscriptionRequest

    void onSubscriptionRequest(String val)

#### onRequest

    void onRequest(int reqId,
                   String dataTopicVal,
                   Object readObject)

#### onUnsubscribeRequest

    void onUnsubscribeRequest(String val)

#### onHb

    void onHb()

#### onLogout

    void onLogout()

#### onUnknownMessage

    void onUnknownMessage(int read)

#### onRequestReply

    void onRequestReply(int reqId,
                        String dataTopicVal,
                        Object readObject)